#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	Implementation of W3C DOM
Summary(pl.UTF-8):	Implementacja W3C DOM
Name:		libdom
Version:	0.1.2
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://download.netsurf-browser.org/libs/releases/%{name}-%{version}-src.tar.gz
# Source0-md5:	bbe55bf26733e3067170d61427ee6176
Patch0:		no-Werror.patch
URL:		http://www.netsurf-browser.org/projects/libdom/
BuildRequires:	expat-devel >= 1.95
BuildRequires:	libhubbub-devel >= 0.3.1
BuildRequires:	libparserutils-devel >= 0.2.1
BuildRequires:	libwapcaplet-devel >= 0.2.2
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	netsurf-buildsystem >= 1.3
BuildRequires:	pkgconfig
Requires:	libparserutils >= 0.2.1
Requires:	libwapcaplet >= 0.2.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibDOM is an implementation of the W3C DOM, written in C. It is
currently in development for use with NetSurf and is intended to be
suitable for use in other projects too.

%description -l pl.UTF-8
LibDOM to implementacja W3C DOM, napisana w C. Jest rozwijana do
wykorzystania w ramach projektu NetSurf, ale także z myślą o
możliwości użycia w innych projektach.

%package devel
Summary:	libdom library headers
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdom
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	expat-devel >= 1.95
Requires:	libhubbub-devel >= 0.3.1

%description devel
This package contains the include files and other resources you can
use to incorporate libdom into applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe pozwalające na używanie biblioteki libdom w swoich
programach.

%package static
Summary:	libdom static library
Summary(pl.UTF-8):	Statyczna biblioteka libdom
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static libdom library.

%description static -l pl.UTF-8
Statyczna biblioteka libdom.

%prep
%setup -q
%patch0 -p1

%build
export CC="%{__cc}"
export CFLAGS="%{rpmcflags}"
export LDFLAGS="%{rpmldflags}"

%{__make} \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-shared

%if %{with static_libs}
%{__make} \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-static
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-shared \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with static_libs}
%{__make} install \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-static \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_libdir}/libdom.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdom.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdom.so
%{_includedir}/dom
%{_pkgconfigdir}/libdom.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdom.a
%endif
%changelog
* Fri Apr 10 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libdom.git;a=log;h=master

* Tue Apr 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 16a4471
- updated -devel dependencies

* Mon Mar 16 2015 Witold Filipczyk <witekfl@poczta.onet.pl> fafe0e5
- updated to 0.1.2

* Mon Dec 01 2014 Witold Filipczyk <witekfl@poczta.onet.pl> f4771f8
- updated to 0.1.1

* Tue Nov 25 2014 Jan Rękorajski <baggins@pld-linux.org> 30c507f
- drop Werror (fails to build on current glibc)
- rel 2

* Tue May 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 8996018
- pl
- use LIBDIR to get proper libs directory, also in .pc files
- install time dependencies

* Wed Apr 30 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 551be22
- obsolete lib.patch deleted

* Wed Apr 30 2014 Witold Filipczyk <witekfl@poczta.onet.pl> b122961
- obsolete

* Tue Apr 29 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 8c6e932
- up to 0.1.0
- commented the lib.patch

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> e1de32b
- verbose files; package soname ghost symlink

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> 506b660
- fix install in lib64 systems

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> a9f7cd2
- pass our CC, cleanup, fix bad copy-paste

* Sat Apr 27 2013 witekfl <witekfl@poczta.onet.pl> d968663
- new

